Agent CheckMK pour modules Eole
=

Dictionnaire 15\_checkmk.xml
==

Activer activer\_checkmk dans l'onglet **Services**
Le dictionnaire va installer les paquets suivants : 
- check\_mk\_agent 
- xinetd (openbsd-initd sera désinstallé)
- nagios-plugins (pour la création de checks locaux avec le module mrpe de check\_mk)


Template check\_mk
==

Ce template va générer le fichier /etc/xinetd.d/check\_mk
il va activer le service si activer\_checkmk vaut oui  et ajouter l'adresse du poller autoriser


MRPE.cfg
==

Le fichier /etc/check\_mk/mrpe.cfg permet de lancer un check local et le remonter au serveur CheckMK.
Dans cet exemple on utilise le plugin check\_proc de nagios pour remonter le nombre de process guardian
Un graph est généré grâce à la remontée des données de performance (perfdata)

la sortie est le suivante :

```bash
Guardian0            OK - PROCS OK: 28 processes with args 'guardian0'        (procs=28;700;900;0; [check_procs])
Guardian1            OK - PROCS OK: 103 processes with args 'guardian1'       (procs=103;700;900;0; [check_procs])
```

Pour le moment la création du répertoire /etc/check\_mk et de ce fichier doit se faire manuellement.

Gestion du Pare-feu
==

Pour le moment seul Era est géré, il faudra voir pour eole-firewall en ajoutant le dictionnaire qui va bien.

- règle extérieur vers bastion, accès depuis notre poller vers l'amon en port 6556 géré par era (voir plus bas)

```bash
-A ext-bas -s 10.169.254.241/32 -d 10.169.253.252/32 -i eth0 -p tcp -m state --state NEW -m tcp --dport 6556 --tcp-flags SYN,RST,ACK SYN -j ACCEPT
```

-création du service check\_mk sur era en mode tcpwrapper afin d'ajouter la ligne dans le fichier /etc/hosts.allow

```bash
check_mk_agent:10.169.254.241
```

<service name="check_mk" protocol="tcp" ports="%%checkmk_port" id="99" libelle="agent check_mk" tcpwrapper="check_mk_agent"/>
<service name="check_mk" protocol="tcp" ports="%%checkmk_port" id="99" libelle="agent check_mk" tcpwrapper="check_mk_agent"/>
<directive tag="AgentCheckMK" service="check_mk" priority="33" action="2" attrs="17" src_inv="0" dest_inv="0" serv_inv="0" libelle="Agent check_mk" ipsec="0" accept="0">
